corda / net.corda.node.services.api / MonitoringService

# MonitoringService

`class MonitoringService : SingletonSerializeAsToken`

Provides access to various metrics and ways to notify monitoring services of things, for sysadmin purposes. This is not an interface because it is too lightweight to bother mocking out.

### Constructors

<init> | `MonitoringService(metrics: MetricRegistry)` Provides access to various metrics and ways to notify monitoring services of things, for sysadmin purposes. This is not an interface because it is too lightweight to bother mocking out.

### Properties

metrics | `val metrics: MetricRegistry`

### Inherited Functions

toToken | `open fun toToken(context: SerializeAsTokenContext): SerializationToken`